1. Entries
Qeep
  • Screening
    • Screen transaction
      POST
    • Get screening result by ID
      GET
    • Rescreen transaction
      POST
    • List screening requests
      GET
    • Record screening outcome
      POST
  • Watchlists
    • Entries
      • Add watchlist entry
        POST
      • List watchlist entries
        GET
      • Remove watchlist entry
        DELETE
      • Export watchlist entries
        GET
      • Bulk import watchlist entries
        POST
    • Jobs
      • Cancel a watchlist import job
      • Get watchlist import job
      • List watchlist import jobs
      • Sync watchlist
    • List watchlists
      GET
    • Create watchlist
      POST
    • Update watchlist
      PATCH
  • Schemas
    • ValidationErrorDetail
    • RecordOutcome
    • ErrorDetails
    • ApiErrorResponse
    • ScreeningResult
    • Watchlist
    • ScreenTransaction
    • CreateWatchlist
    • ScreeningRequestsList
    • WatchlistsList
    • Rescreen
    • UpdateWatchlist
    • WatchlistEntriesList
    • WatchlistEntry
    • AddEntry
    • RemoveWatchlistEntry
    • SyncWatchlist
    • WatchlistImportJob
    • WatchlistExport
    • WatchlistImportJobsList
  1. Entries

Add watchlist entry

POST
/v1/txn-monitoring/lists/{id}/entries
Adds a new entity entry to a specific watchlist with name, type, identifiers, and reason.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qeeptech.com/v1/txn-monitoring/lists//entries' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "entityName": "string",
    "entityType": "INDIVIDUAL",
    "identifiers": "string",
    "reason": "string"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": "string",
        "watchlistId": "string",
        "entityName": "string",
        "entityType": "string",
        "alternateNames": [
            "string"
        ],
        "identifiers": [
            "string"
        ],
        "addresses": [
            "string"
        ],
        "programs": [
            "string"
        ],
        "countries": [
            "string"
        ],
        "reason": "string",
        "createdAt": "string",
        "updatedAt": "string"
    },
    "message": "string",
    "meta": {
        "timestamp": "2019-08-24T14:15:22.123Z",
        "requestId": "string",
        "traceId": "string",
        "spanId": "string",
        "path": "string",
        "pagination": {
            "page": 0,
            "limit": 0,
            "total": 0,
            "totalPages": 0,
            "hasNext": true,
            "hasPrevious": true
        }
    }
}
Modified at 2026-08-02 23:22:02
Previous
Record screening outcome
Next
List watchlist entries
Built with